Bug 120611 - Missing Dependency on gnome-python2-canvas
Missing Dependency on gnome-python2-canvas
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: redhat-config-printer (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-11 20:15 EDT by Phil Anderson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-14 08:16:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Anderson 2004-04-11 20:15:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Epiphany/1.0.4

Description of problem:
I installed redhat-config-printer with yum, which sorted out all the
dependancies, but it wouldn't run:

After spending _ages_ trying to work out why, I tracked it down to a
dependency on gnome-python2-canvas.  I'm guessing that
redhat-config-printer doesn't directly depend on this, so maybe this
bug should be filed in gnome-python2-bonobo.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -e gnome-python2-canvas
2. redhat-config-printer
    

Actual Results:  
[root@harry root]# redhat-config-printer
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-printer", line 9, in ?
    import queueTree
  File "/usr/share/printconf/util/queueTree.py", line 69, in ?
    import gnome.ui
ImportError: could not import bonobo.ui

Additional info:
Comment 1 Tim Waugh 2004-04-14 08:16:38 EDT
redhat-config-printer is not a Fedora Core 1 package.  Use
system-config-printer.
Comment 2 Tim Waugh 2004-04-14 08:21:29 EDT
Oh, wait, FC *1* -- got confused by the fact that this was filed
against *system*-config-printer.

Are you using a different version of Python than shipped? (You can't
do that.)
Comment 3 Phil Anderson 2004-04-14 11:10:38 EDT
Using the default version of python.  It works redhat-config-printer
works perfectly when gnome-python2-canvas is installed, but doesn't
work at all when it isn't.  It is a fresh install without printing
support, after which I did yum install redhat-config-printer.  The
dependency is required somewhere.  If it isn't, how can you explain
that it works when it is installed, and it doesn't work when it is not
installed?

Filing against system-config-printer was a mistake.

Note You need to log in before you can comment on or make changes to this bug.